#include "gfnfhnt.h"
#include <stdlib.h>
#include <stdio.h>

void Usage(void)
    {
    fprintf(stderr, "Usage: test <filename>\n");
    exit(EXIT_FAILURE);
    }

int  main(int argc, char** argv)
    {
    HANDLE  FileHandle;
    char    Buffer[MAX_PATH+1];

    if(argc < 2)
        Usage();
    FileHandle = CreateFile(argv[1], GENERIC_READ, 0, NULL,
        OPEN_EXISTING, 0, NULL);
    if(FileHandle == INVALID_HANDLE_VALUE)
        {
        fprintf(stderr, "Unable to open '%s'\n", argv[1]);
        Usage();
        }
    if(GetFileNameFromHandleNT(FileHandle, Buffer,
            (INT)sizeof(Buffer)))
        printf("GetFileNameFromHandleNT() claims '%s'\n", Buffer);
    else
        {
        printf("GetFileNameFromHandleNT()
            failed for '%s'\n", argv[1]);
        Usage();
        }

    return EXIT_SUCCESS;
    }
